Package com.sap.ai.sdk.core.model

# Class BckndExtendedService

java.lang.Object
com.sap.ai.sdk.core.model.BckndExtendedService

public class BckndExtendedService extends Object
BckndExtendedService

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `BckndExtendedService.StatusEnum`
  aggregated status of the service

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndExtendedService()`
  Default constructor for BckndExtendedService.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndExtendedService`
  `addServiceCatalogItem(BckndServiceServiceCatalogItem serviceCatalogItem)`
  Add one serviceCatalog instance to this `BckndExtendedService`.
  `BckndExtendedService`
  `brokerSecret(BckndServiceBrokerSecret brokerSecret)`
  Set the brokerSecret of this `BckndExtendedService` instance and return the same instance.
  `BckndExtendedService`
  `capabilities(BckndServiceCapabilities capabilities)`
  Set the capabilities of this `BckndExtendedService` instance and return the same instance.
  `static BckndExtendedService`
  `create()`
  Create a new `BckndExtendedService` instance.
  `BckndExtendedService`
  `description(String description)`
  Set the description of this `BckndExtendedService` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `BckndServiceBrokerSecret`
  `getBrokerSecret()`
  Get brokerSecret
  `BckndServiceCapabilities`
  `getCapabilities()`
  Get capabilities
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndExtendedService`.
  `String`
  `getDescription()`
  service description
  `String`
  `getName()`
  service name
  `List<BckndServiceServiceCatalogItem>`
  `getServiceCatalog()`
  Get serviceCatalog
  `BckndSharedResourceGroupStatus`
  `getSharedResourceGroupStatus()`
  Get sharedResourceGroupStatus
  `BckndExtendedService.StatusEnum`
  `getStatus()`
  aggregated status of the service
  `String`
  `getStatusMessage()`
  status message
  `String`
  `getUrl()`
  service broker url
  `int`
  `hashCode()`
  `BckndExtendedService`
  `name(String name)`
  Set the name of this `BckndExtendedService` instance and return the same instance.
  `BckndExtendedService`
  `serviceCatalog(List<BckndServiceServiceCatalogItem> serviceCatalog)`
  Set the serviceCatalog of this `BckndExtendedService` instance and return the same instance.
  `void`
  `setBrokerSecret(BckndServiceBrokerSecret brokerSecret)`
  Set the brokerSecret of this `BckndExtendedService` instance.
  `void`
  `setCapabilities(BckndServiceCapabilities capabilities)`
  Set the capabilities of this `BckndExtendedService` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndExtendedService` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `BckndExtendedService` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndExtendedService` instance.
  `void`
  `setServiceCatalog(List<BckndServiceServiceCatalogItem> serviceCatalog)`
  Set the serviceCatalog of this `BckndExtendedService` instance.
  `void`
  `setSharedResourceGroupStatus(BckndSharedResourceGroupStatus sharedResourceGroupStatus)`
  Set the sharedResourceGroupStatus of this `BckndExtendedService` instance.
  `void`
  `setStatus(BckndExtendedService.StatusEnum status)`
  Set the status of this `BckndExtendedService` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `BckndExtendedService` instance.
  `void`
  `setUrl(String url)`
  Set the url of this `BckndExtendedService` instance.
  `BckndExtendedService`
  `sharedResourceGroupStatus(BckndSharedResourceGroupStatus sharedResourceGroupStatus)`
  Set the sharedResourceGroupStatus of this `BckndExtendedService` instance and return the same instance.
  `BckndExtendedService`
  `status(BckndExtendedService.StatusEnum status)`
  Set the status of this `BckndExtendedService` instance and return the same instance.
  `BckndExtendedService`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `BckndExtendedService` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndExtendedService` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndExtendedService`
  `url(String url)`
  Set the url of this `BckndExtendedService` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndExtendedService

    protected BckndExtendedService()
    Default constructor for BckndExtendedService.

- ## Method Details

  - ### name

    @Nonnull public BckndExtendedService name(@Nullable String name)
    Set the name of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `name` - service name
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getName

    @Nonnull public String getName()
    service name
    Returns:
      name The name of this `BckndExtendedService` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `BckndExtendedService` instance.
    Parameters:
      `name` - service name

  - ### description

    @Nonnull public BckndExtendedService description(@Nullable String description)
    Set the description of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `description` - service description
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getDescription

    @Nonnull public String getDescription()
    service description
    Returns:
      description The description of this `BckndExtendedService` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `BckndExtendedService` instance.
    Parameters:
      `description` - service description

  - ### url

    @Nonnull public BckndExtendedService url(@Nullable String url)
    Set the url of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `url` - service broker url
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getUrl

    @Nonnull public String getUrl()
    service broker url
    Returns:
      url The url of this `BckndExtendedService` instance.

  - ### setUrl

    public void setUrl(@Nullable String url)
    Set the url of this `BckndExtendedService` instance.
    Parameters:
      `url` - service broker url

  - ### brokerSecret

    @Nonnull public BckndExtendedService brokerSecret(@Nullable BckndServiceBrokerSecret brokerSecret)
    Set the brokerSecret of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `brokerSecret` - The brokerSecret of this `BckndExtendedService`
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getBrokerSecret

    @Nonnull public BckndServiceBrokerSecret getBrokerSecret()
    Get brokerSecret
    Returns:
      brokerSecret The brokerSecret of this `BckndExtendedService` instance.

  - ### setBrokerSecret

    public void setBrokerSecret(@Nullable BckndServiceBrokerSecret brokerSecret)
    Set the brokerSecret of this `BckndExtendedService` instance.
    Parameters:
      `brokerSecret` - The brokerSecret of this `BckndExtendedService`

  - ### capabilities

    @Nonnull public BckndExtendedService capabilities(@Nullable BckndServiceCapabilities capabilities)
    Set the capabilities of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `capabilities` - The capabilities of this `BckndExtendedService`
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getCapabilities

    @Nonnull public BckndServiceCapabilities getCapabilities()
    Get capabilities
    Returns:
      capabilities The capabilities of this `BckndExtendedService` instance.

  - ### setCapabilities

    public void setCapabilities(@Nullable BckndServiceCapabilities capabilities)
    Set the capabilities of this `BckndExtendedService` instance.
    Parameters:
      `capabilities` - The capabilities of this `BckndExtendedService`

  - ### serviceCatalog

    @Nonnull public BckndExtendedService serviceCatalog(@Nullable List<BckndServiceServiceCatalogItem> serviceCatalog)
    Set the serviceCatalog of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `serviceCatalog` - The serviceCatalog of this `BckndExtendedService`
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### addServiceCatalogItem

    @Nonnull public BckndExtendedService addServiceCatalogItem(@Nonnull BckndServiceServiceCatalogItem serviceCatalogItem)
    Add one serviceCatalog instance to this `BckndExtendedService`.
    Parameters:
      `serviceCatalogItem` - The serviceCatalog that should be added
    Returns:
      The same instance of type `BckndExtendedService`

  - ### getServiceCatalog

    @Nonnull public List<BckndServiceServiceCatalogItem> getServiceCatalog()
    Get serviceCatalog
    Returns:
      serviceCatalog The serviceCatalog of this `BckndExtendedService` instance.

  - ### setServiceCatalog

    public void setServiceCatalog(@Nullable List<BckndServiceServiceCatalogItem> serviceCatalog)
    Set the serviceCatalog of this `BckndExtendedService` instance.
    Parameters:
      `serviceCatalog` - The serviceCatalog of this `BckndExtendedService`

  - ### sharedResourceGroupStatus

    @Nonnull public BckndExtendedService sharedResourceGroupStatus(@Nullable BckndSharedResourceGroupStatus sharedResourceGroupStatus)
    Set the sharedResourceGroupStatus of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `sharedResourceGroupStatus` - The sharedResourceGroupStatus of this `BckndExtendedService`
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getSharedResourceGroupStatus

    @Nonnull public BckndSharedResourceGroupStatus getSharedResourceGroupStatus()
    Get sharedResourceGroupStatus
    Returns:
      sharedResourceGroupStatus The sharedResourceGroupStatus of this `BckndExtendedService` instance.

  - ### setSharedResourceGroupStatus

    public void setSharedResourceGroupStatus(@Nullable BckndSharedResourceGroupStatus sharedResourceGroupStatus)
    Set the sharedResourceGroupStatus of this `BckndExtendedService` instance.
    Parameters:
      `sharedResourceGroupStatus` - The sharedResourceGroupStatus of this `BckndExtendedService`

  - ### status

    @Nonnull public BckndExtendedService status(@Nullable BckndExtendedService.StatusEnum status)
    Set the status of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `status` - aggregated status of the service
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getStatus

    @Nonnull public BckndExtendedService.StatusEnum getStatus()
    aggregated status of the service
    Returns:
      status The status of this `BckndExtendedService` instance.

  - ### setStatus

    public void setStatus(@Nullable BckndExtendedService.StatusEnum status)
    Set the status of this `BckndExtendedService` instance.
    Parameters:
      `status` - aggregated status of the service

  - ### statusMessage

    @Nonnull public BckndExtendedService statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `BckndExtendedService` instance and return the same instance.
    Parameters:
      `statusMessage` - status message
    Returns:
      The same instance of this `BckndExtendedService` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    status message
    Returns:
      statusMessage The statusMessage of this `BckndExtendedService` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `BckndExtendedService` instance.
    Parameters:
      `statusMessage` - status message

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndExtendedService`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndExtendedService` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndExtendedService` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndExtendedService` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndExtendedService create()
    Create a new `BckndExtendedService` instance. No arguments are required.